﻿using Hotline.Share.Enums.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Settings;

public class SystemWebPageSetting : CreationEntity
{
    /// <summary>
    /// 页面名字
    /// </summary>
    public string Name { get; set; }

    /// <summary>
    /// 页面类型
    /// </summary>
    public EPageType PageType { get; set; }

    /// <summary>
    /// 页面元素名称
    /// </summary>
    public string TagName { get; set; }

    /// <summary>
    /// 页面元素值
    /// </summary>
    public string TagValue { get; set; }
}
