﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Identity
{
    public class LoginDto
    {
        public string Username { get; set; }
        public string Password { get; set; }
        public string? MsgCode { get; set; }
    }

    public class HotlineLoginOldToNewDto
    {
        public string UserName { get; set; }
    }

    public class HotlineStateResult
    {
        public string Code { get; set; }

        public bool? Result { get; set; }

        public string Message { get; set; }
    }

    public class LoginPageInfoDto
    {

        /// <summary>
        /// 首页图片
        /// </summary>
        public string? LoginImage { get; set; }

        /// <summary>
        /// 修改密码图片
        /// </summary>
        public string? ChangPwdImage { get; set; }

        /// <summary>
        /// 角标图片
        /// </summary>
        public string? FaviconImage { get; set; }

        /// <summary>
        /// 菜单logo图片
        /// </summary>
        public string? MenuLogoImage { get; set; }

        /// <summary>
        /// 菜单logo图片mini
        /// </summary>
        public string? MenuLogoImageMini { get; set; }
        public string SysName { get; set; }

        public bool IsLoginMessageCode { get; set; }

        /// <summary>
        /// 应用范围
        /// </summary>
        public string AppScope { get; set; }

        /// <summary>
        /// 呼叫中心类型
        /// </summary>
        public string CallCenterType { get; set; }

        /// <summary>
        /// 城市中文名称
        /// </summary>
        public string CityName { get; set; }

        /// <summary>
        /// 城市Code
        /// </summary>
        public string CityCode { get; set; }

        /// <summary>
        /// 运营商名称
        /// </summary>
        public string Operate { get; set; }

        /// <summary>
        /// 技术支持
        /// </summary>
        public string TechSupport { get; set; }

        /// <summary>
        /// 城市简写
        /// </summary>
        public string CityAbbr { get; set; }

        /// <summary>
        /// 备案号
        /// </summary>
        public string RecordNumber { get; set; }

        /// <summary>
        /// 地图中心点
        /// </summary>
        public double[] LocationCenter { get; set; }

        /// <summary>
        /// 呼叫中心socket地址
        /// </summary>
        public string CallCenterSocketUrl { get; set; }

        /// <summary>
        /// 播放地址前缀
        /// </summary>
        public string RecordPrefix { get; set; }

        /// <summary>
        /// 下载地址前缀
        /// </summary>
        public string RecordDownLoadPrefix { get; set; }

        /// <summary>
        /// 随手拍功能开关
        /// </summary>
        public bool Snapshot { get; set; }
    }


}
