﻿using Hotline.Share.Dtos.Identity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Identity
{
    public interface IIdentityDomainService
    {
        /// <summary>
        /// 校验用户是否真实
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        bool IsIdentityReal(LoginWithSignatureRequest request);

        /// <summary>
        /// 设置账户随机数
        /// </summary>
        /// <param name="username"></param>
        /// <param name="nonce"></param>
        void SetAccountNonce(string username, string nonce);
    }
}
