﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot.IRepository;
public interface IRedPackAuditRepository : IRepository<RedPackAudit>
{
    /// <summary>
    /// 根据OrderId获取红包审核信息
    /// </summary>
    /// <param name="orderId"></param>
    /// <param name="cancellationToken"></param>
    /// <returns></returns>
    Task<RedPackAudit> GetByOrderIdAsync(string orderId, CancellationToken cancellationToken);
}
